com.smartgwt.client.widgets.form.fields

## Class SliderItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.form.fields.FormItem
        - - com.smartgwt.client.widgets.form.fields.CanvasItem
          - - com.smartgwt.client.widgets.form.fields.SliderItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasCanEditChangedHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPendingStatusChangedHandlers, HasPickerIconClickHandlers, HasReadOnlyDisplayChangedHandlers, HasShowContextMenuHandlers, HasShowValueHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers, HasValueIconClickHandlers

      public class SliderItem
      extends CanvasItem

  FormItem that uses a `Slider` component to present an interface for picking from either a continuous range or a range with a small number of discrete values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `FormItem.CustomStateGetter, FormItem.StateCustomizer`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliderItem()`
    `SliderItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `SliderItem(java.lang.String name)`
    `SliderItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `java.lang.Boolean` | `getChangeOnDrag()` Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider.
    `int` | `getDefaultValue()` Default value for this sliderItems is 1.
    `float` | `getMaxValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getMaxValueAsDouble()` The maximum slider value.
    `float` | `getMinValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getMinValueAsDouble()` The minimum slider value.
    `java.lang.Integer` | `getNumValues()` The number of discrete values represented by slider.
    `static SliderItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRoundPrecision()` If `Slider.roundValues` is false, the slider value will be rounded to this number of decimal places.
    `java.lang.Boolean` | `getRoundValues()` Specifies whether the slider value should be rounded to the nearest integer.
    `java.lang.Boolean` | `getShouldSaveValue()` Should this item's value be saved in the form's values and hence returned from `form.getValues()`?
    `Canvas` | `getSlider()` This item is an autoChild generated `Canvas` displayed by the SliderItem and is an instance of `Slider` by default.
    `java.lang.Float` | `getValueAsFloat()` Return the value tracked by this form item.
    `java.lang.Boolean` | `getVertical()` Indicates whether this is a vertical or horizontal slider.
    `int` | `getWidth()` Default width of this item.
    `boolean` | `pendingStatusChanged(DynamicForm form, FormItem item, boolean pendingStatus, java.lang.Object newValue, java.lang.Object value)` Notification method called when `showPending` is enabled and this `SliderItem` should either clear or show its pending visual state.
    `void` | `setChangeOnDrag(java.lang.Boolean changeOnDrag)` Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider.
    `static void` | `setDefaultProperties(SliderItem sliderItemProperties)` Class level method to set the default properties of this class.
    `void` | `setDefaultValue(int defaultValue)` Default value for this sliderItems is 1.
    `void` | `setMaxValue(double maxValue)` The maximum slider value.
    `void` | `setMaxValue(float maxValue)` Deprecated. `GwtFloatVsDouble`
    `void` | `setMinValue(double minValue)` The minimum slider value.
    `void` | `setMinValue(float minValue)` Deprecated. `GwtFloatVsDouble`
    `void` | `setNumValues(java.lang.Integer numValues)` The number of discrete values represented by slider.
    `void` | `setRoundPrecision(int roundPrecision)` If `Slider.roundValues` is false, the slider value will be rounded to this number of decimal places.
    `void` | `setRoundValues(java.lang.Boolean roundValues)` Specifies whether the slider value should be rounded to the nearest integer.
    `void` | `setShouldSaveValue(java.lang.Boolean shouldSaveValue)` Should this item's value be saved in the form's values and hence returned from `form.getValues()`?
    `void` | `setVertical(java.lang.Boolean vertical)` Indicates whether this is a vertical or horizontal slider.
    `void` | `setWidth(int width)` Default width of this item.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.CanvasItem

      `addCanEditChangedHandler, addReadOnlyDisplayChangedHandler, addShowValueHandler, createCanvas, getApplyPromptToCanvas, getAutoDestroy, getCanvas, getEditCriteriaInInnerForm, getHeight, getHeightAsString, getMaxHeight, getMinHeight, getMultiple, getOverflow, getPrompt, hasAdvancedCriteria, isFocused, setApplyPromptToCanvas, setAutoDestroy, setCanEditCriterionPredicate, setCanvas, setCriterionGetter, setCriterionSetter, setDefaultProperties, setEditCriteriaInInnerForm, setHeight, setHeight, setMaxHeight, setMinHeight, setMultiple, setOverflow, setPrompt, setShouldDisableCanvasCustomizer, setupCanvasConstructor, storeValue, storeValue, storeValue, updateCanvasTabPosition`

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getAlwaysShowControlBox, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserInputType, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanSelectText, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDisabled, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEditProxyConstructor, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getExportFormat, getFetchMissingValues, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverHeight, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getIcon, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultipleValueSeparator, getName, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPicker, getPickerIcon, getPickerIcon, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconTabPosition, getPickerIconWidth, getPixelHeight, getPixelWidth, getPrintTextBoxStyle, getPrintTitleStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredWhen, getRowSpan, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIcon, getShowPickerIconOnFocus, getShowRTL, getShowTitle, getShowValueIconOnly, getStartRow, getStaticHeight, getStopOnError, getSupportsCutPasteEvents, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextBoxStyle, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitleStyle, getTitleVAlign, getTooltip, getTop, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidthAsString, getWrapHintText, getWrapTitle, handleWarnOnEditorTypeConversion, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setAlwaysShowControlBox, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserInputType, setBrowserSpellCheck, setCanEdit, setCanEditOpaqueValues, setCanFocus, setCanSelectText, setCanTabToIcons, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setConfigOnly, setControlStyle, setCriteriaField, setCriterion, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEditProxyConstructor, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setExportFormat, setFetchMissingValues, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverHeight, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultipleValueSeparator, setName, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOriginalValueMessage, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintTextBoxStyle, setPrintTitleStyle, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredWhen, setRowSpan, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIcon, setShowPickerIconOnFocus, setShowRTL, setShowTitle, setShowValueIconOnly, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setSupportsCutPasteEvents, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextBoxStyle, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitleStyle, setTitleVAlign, setTooltip, setTop, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWrapHintText, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### SliderItem

          public SliderItem()

    - #### SliderItem

          public SliderItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### SliderItem

          public SliderItem(java.lang.String name)

    - #### SliderItem

          public SliderItem(java.lang.String name,
                            java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static SliderItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setChangeOnDrag

          public void setChangeOnDrag(java.lang.Boolean changeOnDrag)

      Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider. Setting this attribute value to `false` will suppress any change notifications from the user dragging the slider thumb until the user releases the mouse at the final position. This can be useful to avoid repeatedly firing expensive operations such as server fetches while the user drags through a range of values.
      Parameters:
        `changeOnDrag` - New changeOnDrag value. Default value is true

    - #### getChangeOnDrag

          public java.lang.Boolean getChangeOnDrag()

      Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider. Setting this attribute value to `false` will suppress any change notifications from the user dragging the slider thumb until the user releases the mouse at the final position. This can be useful to avoid repeatedly firing expensive operations such as server fetches while the user drags through a range of values.
      Returns:
        Current changeOnDrag value. Default value is true

    - #### setDefaultValue

          public void setDefaultValue(int defaultValue)

      Default value for this sliderItems is 1.
      Parameters:
        `defaultValue` - New defaultValue value. Default value is 1

    - #### getDefaultValue

          public int getDefaultValue()

      Default value for this sliderItems is 1.
      Returns:
        Current defaultValue value. Default value is 1

    - #### setMaxValue

          public void setMaxValue(float maxValue)

      Deprecated. `GwtFloatVsDouble`
      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `maximum value` of the slider
      Parameters:
        `maxValue` - the new maximum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 100
      See Also:
        `Slider.setFlipValues(java.lang.Boolean)`, Number - Slider Example

    - #### getMaxValue

          public float getMaxValue()

      Deprecated. `GwtFloatVsDouble`
      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      Returns:
        Current maxValue value. Default value is 100
      See Also:
        `Slider.getFlipValues()`, Number - Slider Example

    - #### setMaxValue

          public void setMaxValue(double maxValue)

      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `maximum value` of the slider
      Parameters:
        `maxValue` - the new maximum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 100
      See Also:
        `Slider.setFlipValues(java.lang.Boolean)`, Number - Slider Example

    - #### getMaxValueAsDouble

          public double getMaxValueAsDouble()

      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      Returns:
        Current maxValue value. Default value is 100
      See Also:
        `Slider.getFlipValues()`, Number - Slider Example

    - #### setMinValue

          public void setMinValue(float minValue)

      Deprecated. `GwtFloatVsDouble`
      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `minimum value` of the slider
      Parameters:
        `minValue` - the new minimum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 1
      See Also:
        `Slider.setFlipValues(java.lang.Boolean)`, Number - Slider Example

    - #### getMinValue

          public float getMinValue()

      Deprecated. `GwtFloatVsDouble`
      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      Returns:
        Current minValue value. Default value is 1
      See Also:
        `Slider.getFlipValues()`, Number - Slider Example

    - #### setMinValue

          public void setMinValue(double minValue)

      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `minimum value` of the slider
      Parameters:
        `minValue` - the new minimum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 1
      See Also:
        `Slider.setFlipValues(java.lang.Boolean)`, Number - Slider Example

    - #### getMinValueAsDouble

          public double getMinValueAsDouble()

      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      Returns:
        Current minValue value. Default value is 1
      See Also:
        `Slider.getFlipValues()`, Number - Slider Example

    - #### setNumValues

          public void setNumValues(java.lang.Integer numValues)

      The number of discrete values represented by slider. If specified, the range of valid values (between `minValue` and `maxValue`) will be divided into this many steps. As the thumb is moved along the track it will only select these values and appear to jump between the steps.
      If this method is called after the component has been drawn/initialized: Sets the `number of values` for the slider
      Parameters:
        `numValues` - the new number of values Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is null
      See Also:
        Number - Slider Example

    - #### getNumValues

          public java.lang.Integer getNumValues()

      The number of discrete values represented by slider. If specified, the range of valid values (between `minValue` and `maxValue`) will be divided into this many steps. As the thumb is moved along the track it will only select these values and appear to jump between the steps.
      Returns:
        Current numValues value. Default value is null
      See Also:
        Number - Slider Example

    - #### setRoundPrecision

          public void setRoundPrecision(int roundPrecision)

      If `Slider.roundValues` is false, the slider value will be rounded to this number of decimal places. If set to null the value will not be rounded
      Parameters:
        `roundPrecision` - New roundPrecision value. Default value is 1
      See Also:
        Number - Slider Example

    - #### getRoundPrecision

          public int getRoundPrecision()

      If `Slider.roundValues` is false, the slider value will be rounded to this number of decimal places. If set to null the value will not be rounded
      Returns:
        Current roundPrecision value. Default value is 1
      See Also:
        Number - Slider Example

    - #### setRoundValues

          public void setRoundValues(java.lang.Boolean roundValues)

      Specifies whether the slider value should be rounded to the nearest integer. If set to false, values will be rounded to a fixed number of decimal places controlled by `roundPrecision`.
      Parameters:
        `roundValues` - New roundValues value. Default value is true
      See Also:
        Number - Slider Example

    - #### getRoundValues

          public java.lang.Boolean getRoundValues()

      Specifies whether the slider value should be rounded to the nearest integer. If set to false, values will be rounded to a fixed number of decimal places controlled by `roundPrecision`.
      Returns:
        Current roundValues value. Default value is true
      See Also:
        Number - Slider Example

    - #### setShouldSaveValue

          public void setShouldSaveValue(java.lang.Boolean shouldSaveValue)

      Should this item's value be saved in the form's values and hence returned from `form.getValues()`?

      `shouldSaveValue:false` is used to mark formItems which do not correspond to the underlying data model and should not save a value into the form's `values`. Example includes visual separators, password re-type fields, or checkboxes used to show/hide other form items.

      A `shouldSaveValue:false` item should be given a value either via `FormItem.defaultValue` or by calling `form.setValue(item, value)` or `formItem.setValue(value)`. Providing a value via `form.values` or `form.setValues()` will automatically switch the item to `shouldSaveValue:true`.

      Note that

      - if an item is shouldSaveValue true, but has no name, a warning is logged, and shouldSaveValue will be set to false.
      Overrides:
        `setShouldSaveValue` in class `CanvasItem`
      Parameters:
        `shouldSaveValue` - New shouldSaveValue value. Default value is true

    - #### getShouldSaveValue

          public java.lang.Boolean getShouldSaveValue()

      Should this item's value be saved in the form's values and hence returned from `form.getValues()`?

      `shouldSaveValue:false` is used to mark formItems which do not correspond to the underlying data model and should not save a value into the form's `values`. Example includes visual separators, password re-type fields, or checkboxes used to show/hide other form items.

      A `shouldSaveValue:false` item should be given a value either via `FormItem.defaultValue` or by calling `form.setValue(item, value)` or `formItem.setValue(value)`. Providing a value via `form.values` or `form.setValues()` will automatically switch the item to `shouldSaveValue:true`.

      Note that

      - if an item is shouldSaveValue true, but has no name, a warning is logged, and shouldSaveValue will be set to false.
      Overrides:
        `getShouldSaveValue` in class `CanvasItem`
      Returns:
        Current shouldSaveValue value. Default value is true

    - #### getSlider

          public Canvas getSlider()

      This item is an autoChild generated `Canvas` displayed by the SliderItem and is an instance of `Slider` by default. It is customizable via the standard `com.smartgwt.client.types.AutoChild` pattern, by customizing `sliderProperties` and `sliderConstructor`.

      This component is an AutoChild named "slider". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current slider value. Default value is null

    - #### setVertical

          public void setVertical(java.lang.Boolean vertical)

      Indicates whether this is a vertical or horizontal slider.
      Parameters:
        `vertical` - New vertical value. Default value is false
      See Also:
        Slider Example

    - #### getVertical

          public java.lang.Boolean getVertical()

      Indicates whether this is a vertical or horizontal slider.
      Returns:
        Current vertical value. Default value is false
      See Also:
        Slider Example

    - #### setWidth

          public void setWidth(int width)

      Default width of this item.
      Overrides:
        `setWidth` in class `FormItem`
      Parameters:
        `width` - New width value. Default value is 150
      See Also:
        `Appearance overview and related methods`

    - #### getWidth

          public int getWidth()

      Default width of this item.
      Overrides:
        `getWidth` in class `FormItem`
      Returns:
        Current width value. Default value is 150
      See Also:
        `Appearance overview and related methods`

    - #### pendingStatusChanged

          public boolean pendingStatusChanged(DynamicForm form,
                                              FormItem item,
                                              boolean pendingStatus,
                                              java.lang.Object newValue,
                                              java.lang.Object value)

      Notification method called when `showPending` is enabled and this `SliderItem` should either clear or show its pending visual state.

      The default behavior is that the `titleStyle` and `cellStyle` are updated to include/exclude the "Pending" suffix. In addition, when displayed in the pending state the value label changes color. Returning `false` will cancel this default behavior.

      Parameters:
        `form` - the managing `DynamicForm` instance.
        `item` - the form item itself (also available as "this").
        `pendingStatus` - `true` if the item should show its pending visual state; `false` otherwise.
        `newValue` - the current form item value.
        `value` - the value that would be restored by a call to `DynamicForm.resetValues()`.
      Returns:
        `false` to cancel the default behavior.

    - #### setDefaultProperties

          public static void setDefaultProperties(SliderItem sliderItemProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `sliderItemProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### getValueAsFloat

          public java.lang.Float getValueAsFloat()

      Return the value tracked by this form item.
      Returns:
        value of this element